package com.yeejoin.amos.boot.module.hygf.biz.excel.impl;

import com.yeejoin.amos.boot.module.hygf.api.mapper.BusinessFieldMapper;
import com.yeejoin.amos.boot.module.hygf.biz.excel.service.IExportPageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;

@Service
public class FhyfhServiceImpl implements IExportPageService {
    @Autowired
    private BusinessFieldMapper businessFieldMapper;
    @Override
    public List<String> getStationId(Map<String, Object> filters) {
        Map<String, Object> map = new HashMap<>();
        if (Objects.nonNull(filters)) {
            map.putAll(filters);
            map.put("regionalCompaniesSeq",filters.get("regionalcompaniesSeq"));
        }
        map.put("preparationMoneyState", "1");
        return businessFieldMapper.getFhStationId(map);
    }
}
